Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1692343 - Review Request: perl-Alien-Libxml2 - Install the C libxml2 library on your system
Summary: Review Request: perl-Alien-Libxml2 - Install the C libxml2 library on your sy...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1692017
TreeView+ depends on / blocked
 
Reported: 2019-03-25 12:19 UTC by Jitka Plesnikova
Modified: 2019-03-25 14:26 UTC (History)
2 users (show)

Fixed In Version: perl-Alien-Libxml2-0.06-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-25 14:26:48 UTC
ppisar: fedora-review+


Attachments (Terms of Use)

Description Jitka Plesnikova 2019-03-25 12:19:51 UTC
Spec URL: https://jplesnik.fedorapeople.org/perl-Alien-Libxml2/perl-Alien-Libxml2.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-Alien-Libxml2/perl-Alien-Libxml2-0.06-1.fc31.src.rpm
Description:
This module provides libxml2 for other modules to use.

Fedora Account System Username: jplesnik@redhat.com

Comment 1 Petr Pisar 2019-03-25 13:29:14 UTC
Url and Source0 addresses are Ok.
Source0 archive (SHA-256: 52b35f00a77ed56707d5bdc83691c1cef0e23ebc76ea89279edd7a893dee5ef4) is original. Ok.
Summary verified from lib/Alien/Libxml2.pm. Ok.
Description verified from lib/Alien/Libxml2.pm. Ok.
License verified from README, Makefile.PL, LICENSE, and lib/Alien/Libxml2.pm.
The package stores architecture specific values, full-arch BuildArch is Ok.
The package does not contain any ELFs, disabling debug_package is Ok.

TODO: Increase 'perl(Alien::Build::MM)' version constrain to '>= 1.60' (META.json:27).

The alienfile is executed, please:
FIX: Build-require 'perl(alienfile)' (alienfile:1).
FIX: Build-require 'perl(Alien::Build) >= 1.60' (alienfile:3).

All tests pass. Ok.

$ rpmlint perl-Alien-Libxml2.spec ../SRPMS/perl-Alien-Libxml2-0.06-1.fc31.src.rpm ../RPMS/x86_64/perl-Alien-Libxml2-0.06-1.fc31.x86_64.rpm 
perl-Alien-Libxml2.x86_64: E: no-binary
2 packages and 1 specfiles checked; 1 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/x86_64/perl-Alien-Libxml2-0.06-1.fc31.x86_64.rpm 
drwxr-xr-x    2 root    root                        0 Mar 25 13:43 /usr/lib64/perl5/vendor_perl/Alien
drwxr-xr-x    2 root    root                        0 Mar 25 13:43 /usr/lib64/perl5/vendor_perl/Alien/Libxml2
-rw-r--r--    1 root    root                     1701 Mar 20 03:54 /usr/lib64/perl5/vendor_perl/Alien/Libxml2.pm
drwxr-xr-x    2 root    root                        0 Mar 25 13:43 /usr/lib64/perl5/vendor_perl/Alien/Libxml2/Install
-rw-r--r--    1 root    root                      154 Mar 25 13:43 /usr/lib64/perl5/vendor_perl/Alien/Libxml2/Install/Files.pm
drwxr-xr-x    2 root    root                        0 Mar 25 13:43 /usr/lib64/perl5/vendor_perl/auto/Alien
drwxr-xr-x    2 root    root                        0 Mar 25 13:43 /usr/lib64/perl5/vendor_perl/auto/Alien/Libxml2
-rw-r--r--    1 root    root                       65 Mar 25 13:43 /usr/lib64/perl5/vendor_perl/auto/Alien/Libxml2/Libxml2.txt
drwxr-xr-x    2 root    root                        0 Mar 25 13:43 /usr/lib64/perl5/vendor_perl/auto/share
drwxr-xr-x    2 root    root                        0 Mar 25 13:43 /usr/lib64/perl5/vendor_perl/auto/share/dist
drwxr-xr-x    2 root    root                        0 Mar 25 13:43 /usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-Libxml2
drwxr-xr-x    2 root    root                        0 Mar 25 13:43 /usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-Libxml2/_alien
-rw-r--r--    1 root    root                      591 Mar 25 13:43 /usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-Libxml2/_alien/alien.json
-rw-r--r--    1 root    root                     5208 Mar 25 13:43 /usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-Libxml2/_alien/alienfile
drwxr-xr-x    2 root    root                        0 Mar 25 13:43 /usr/share/doc/perl-Alien-Libxml2
-rw-r--r--    1 root    root                      925 Mar 20 03:54 /usr/share/doc/perl-Alien-Libxml2/Changes
-rw-r--r--    1 root    root                     1593 Mar 20 03:54 /usr/share/doc/perl-Alien-Libxml2/README
-rw-r--r--    1 root    root                     5208 Mar 20 03:54 /usr/share/doc/perl-Alien-Libxml2/alienfile
drwxr-xr-x    2 root    root                        0 Mar 25 13:43 /usr/share/licenses/perl-Alien-Libxml2
-rw-r--r--    1 root    root                    18349 Mar 20 03:54 /usr/share/licenses/perl-Alien-Libxml2/LICENSE
-rw-r--r--    1 root    root                     1820 Mar 25 13:43 /usr/share/man/man3/Alien::Libxml2.3pm.gz
File permissions and layout is Ok.

TODO: You don't have to package alienfile as an documentation, it's already packaged as /usr/lib64/perl5/vendor_perl/auto/share/dist/Alien-Libxml2/_alien/alienfile.

$ rpm -q --requires -p ../RPMS/x86_64/perl-Alien-Libxml2-0.06-1.fc31.x86_64.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.28.1)
      1 perl(Alien::Base) >= 0.73
      1 perl(Alien::Libxml2)
      1 perl(base)
      1 perl(strict)
      1 perl(warnings)
      1 pkgconfig(libxml-2.0) = 2.9.9
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

Notice: The alienfile file is also installed and it requires alienfile, Alien::Build >= 1.60 and various Alien::Build plugins, but alienfile is not used at run-time ("use Alien::Libxml2;"), thus it's fine to ignore its dependencies.

$ rpm -q --provides -p ../RPMS/x86_64/perl-Alien-Libxml2-0.06-1.fc31.x86_64.rpm | sort -f | uniq -c
      1 perl(Alien::Libxml2) = 0.06
      1 perl(Alien::Libxml2::Install::Files)
      1 perl-Alien-Libxml2 = 0.06-1.fc31
      1 perl-Alien-Libxml2(x86-64) = 0.06-1.fc31
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/x86_64/perl-Alien-Libxml2-0.06-1.fc31.x86_64.rpm 
Binary dependencies are resolvable. Ok.

Package builds in F31 (https://koji.fedoraproject.org/koji/taskinfo?taskID=33763081).

Otherwise the package is in line with Fedora and Perl packaging guidelines.
Please correct all 'FIX' items and consider fixing 'TODO' items before building the package.
Resolution: Package approved.

Comment 2 Gwyn Ciesla 2019-03-25 14:02:33 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Alien-Libxml2

Comment 3 Jitka Plesnikova 2019-03-25 14:26:48 UTC
Requires were updated.
Thank you for the review and the repository.


Note You need to log in before you can comment on or make changes to this bug.